import * as moment from 'moment';
import { BaseEntity, CreateDateColumn, UpdateDateColumn } from 'typeorm';

export abstract class BaseModel extends BaseEntity {
  @CreateDateColumn({
    type: 'timestamp',
    default: () => moment().utcOffset(0).toDate(),
  })
  created_at: string;

  @UpdateDateColumn({
    type: 'timestamp',
    default: () => moment().utcOffset(0).toDate(),
  })
  updated_at: string;

  @UpdateDateColumn({
    type: 'timestamp',
    default: () => moment().utcOffset(0).toDate(),
  })
  timestamp: string;
}
